Mailinglist Archive: opensuse-factory (742 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180301 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180301

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
Mesa
Mesa-drivers
NetworkManager
augeas
bind
bluedevil5 (5.12.1 -> 5.12.2)
breeze (5.12.1 -> 5.12.2)
breeze-gtk (5.12.1 -> 5.12.2)
breeze4-style (5.12.1 -> 5.12.2)
coreutils
cracklib
diffutils
discover (5.12.1 -> 5.12.2)
drkonqi5 (5.12.1 -> 5.12.2)
elfutils
fcitx
fftw3
findutils
gawk (4.2.0 -> 4.2.1)
gcr
git
glibc (2.26 -> 2.27)
glibc (2.26 -> 2.27)
glibmm2_4
gnome-autoar (0.2.2 -> 0.2.3)
gnome-session
gnutls
gpg2 (2.2.4 -> 2.2.5)
grep
guile
icewm
kactivitymanagerd (5.12.1 -> 5.12.2)
kcm_sddm (5.12.1 -> 5.12.2)
kde-cli-tools5 (5.12.1 -> 5.12.2)
kde-gtk-config5 (5.12.1 -> 5.12.2)
kde-user-manager (5.12.1 -> 5.12.2)
kdebase4-workspace
kdump
kgamma5 (5.12.1 -> 5.12.2)
khotkeys5 (5.12.1 -> 5.12.2)
kinfocenter5 (5.12.1 -> 5.12.2)
kmenuedit5 (5.12.1 -> 5.12.2)
kscreen5 (5.12.1 -> 5.12.2)
kscreenlocker (5.12.1 -> 5.12.2)
ksysguard5 (5.12.1 -> 5.12.2)
kwayland-integration (5.12.1 -> 5.12.2)
kwin5 (5.12.1 -> 5.12.2)
lftp
libassuan
libcap
libcdio
libffi
libgcrypt
libidn
libkdecoration2 (5.12.1 -> 5.12.2)
libksba
libkscreen2 (5.12.1 -> 5.12.2)
libksysguard5 (5.12.1 -> 5.12.2)
libmpeg2
libmygpo-qt (1.0.7 -> 1.0.9)
libnettle
libnl3 (3.3.0 -> 3.4)
libnsl
liborcus (0.13.3 -> 0.13.4)
libproxy
libproxy-plugins
libqt4
libqt5-qtbase
libqt5-qtwebkit
libsmbios2
libtasn1
libtirpc
libxshmfence (1.2 -> 1.3)
mariadb
milou5 (5.12.1 -> 5.12.2)
mjpegtools
multipath-tools (0.7.3+52+suse.08a969b7fce0 -> 0.7.3+53+suse.140f4937e9e7)
mutter
nghttp2
npth
openssl
openssl-1_0_0
os-prober
oxygen5 (5.12.1 -> 5.12.2)
perl-XML-SAX (0.99 -> 1.00)
perl-libwww-perl (6.32 -> 6.33)
phonon (4.9.0 -> 4.10.0)
phonon4qt5 (4.9.1 -> 4.10.0)
pinentry
plasma-nm5 (5.12.1 -> 5.12.2)
plasma5-addons (5.12.1 -> 5.12.2)
plasma5-desktop (5.12.1 -> 5.12.2)
plasma5-integration (5.12.1 -> 5.12.2)
plasma5-openSUSE
plasma5-pa (5.12.1 -> 5.12.2)
plasma5-workspace (5.12.1 -> 5.12.2)
powerdevil5 (5.12.1 -> 5.12.2)
procps
python-kiwi (9.13.0 -> 9.13.1)
python-setuptools
sddm
shadow
solid
spec-cleaner (1.0.3 -> 1.0.4)
sssd
suitesparse
systemd
systemsettings5 (5.12.1 -> 5.12.2)
utempter
xdm
xen (4.10.0_12 -> 4.10.0_13)
yast2-nis-server (3.1.4 -> 4.0.0)
zypp-plugin

=== Details ===

==== Mesa ====
Subpackages: Mesa-dri-devel Mesa-libEGL-devel Mesa-libEGL1 Mesa-libGL-devel
Mesa-libGL1 Mesa-libglapi0 libgbm1 libwayland-egl1

- removed more unneeded buildrequires: libudev, openssl, bison,
flex (boo#1082312)
- removed u_configure.ac-Link-to-libLLVMCodegen-to-fix-cyclic-li.patch
which is no longer needed due to changed LLVM build (boo#1082307)
- merge content of new rpmlintrc into existing Mesa-rpmlintrc file

==== Mesa-drivers ====
Subpackages: Mesa-dri Mesa-gallium Mesa-libva libvdpau_r300 libvdpau_r600
libvdpau_radeonsi libvulkan_radeon libxatracker2

- removed more unneeded buildrequires: libudev, openssl, bison,
flex (boo#1082312)
- removed u_configure.ac-Link-to-libLLVMCodegen-to-fix-cyclic-li.patch
which is no longer needed due to changed LLVM build (boo#1082307)
- merge content of new rpmlintrc into existing Mesa-rpmlintrc file

==== NetworkManager ====
Subpackages: NetworkManager-devel NetworkManager-lang libnm-glib-vpn1
libnm-glib4 libnm-util2 libnm0 typelib-1_0-NM-1_0 typelib-1_0-NMClient-1_0
typelib-1_0-NetworkManager-1_0

- Add nm-preserve-agent-owned-secrets-on-connection-update.patch:
Backport upstream commit to preserve agent-owned secrets on
connection update (bgo#793324, bsc#1082762).

==== augeas ====
Subpackages: augeas-lenses libaugeas0

- Use %license (boo#1082318)

==== bind ====
Subpackages: bind-chrootenv bind-doc bind-utils libbind9-160 libdns169
libirs160 libisc166 libisccc160 libisccfg160 liblwres160 python3-bind

- build with --enable-filter-aaaa to make it possible to use
config option "filter-aaaa-on-v4 yes". Useful to workaround
broken websites like netflix which block traffic from certain
IPv6 tunnel providers.

==== bluedevil5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: bluedevil5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== breeze ====
Version update (5.12.1 -> 5.12.2)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style
breeze5-style-lang breeze5-wallpapers

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== breeze-gtk ====
Version update (5.12.1 -> 5.12.2)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== breeze4-style ====
Version update (5.12.1 -> 5.12.2)

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== coreutils ====
Subpackages: coreutils-lang

- Use %license (boo#1082318)

==== cracklib ====
Subpackages: libcrack2 libcrack2-32bit

- Use %license (boo#1082318)

==== diffutils ====
Subpackages: diffutils-lang

- Use %license (boo#1082318)

==== discover ====
Version update (5.12.1 -> 5.12.2)
Subpackages: discover-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* Fix checking if the package is already on the ResProxyModel
* Add multimedia sub-categories
* Put all systemwide add-ons in Plasma Addons category (kde#390594)
* Sort by sortable rating
* Make it possible to debug sorting
* Make sure sortableRating is initialised
* Don't let the user write the first review for apps they haven't installed
* Fix warning
* Only instantiate the ProgressView sheet when it's to be displayed
* Fix placement of the BusyIndicator over loading screenshots (kde#390391)
* Update copyright year (kde#390358)

==== drkonqi5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: drkonqi5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== elfutils ====
Subpackages: elfutils-lang libasm1 libdw1 libebl-plugins libelf-devel libelf1

- Use %license (boo#1082318)

==== fcitx ====
Subpackages: fcitx-branding-openSUSE fcitx-gtk2 fcitx-gtk3 fcitx-pinyin
fcitx-qt4 fcitx-table fcitx-table-cn-wubi fcitx-table-cn-wubi-pinyin
libfcitx-4_2_9

- Add pkgconfig(xkbfile) BuildRequires: in the past, this used to
be pulled in by libqt4, but since our own code depends on it, and
not Qt4, it is our own duty to request our build dependencies.
- Package COPYING is %license, not as %doc.

==== fftw3 ====
Subpackages: fftw3-devel libfftw3-3 libfftw3_threads3

- Add support for openmpi2 for the HPC build (FATE#325089).

==== findutils ====
Subpackages: findutils-lang

- Use %license (boo#1082318)

==== gawk ====
Version update (4.2.0 -> 4.2.1)

- GNU awk 4.2.1:
* documentation updates
* In MPFR mode, When ROUNDMODE changes, string values for
numerically type values will be redone
* various bug fixes
* drop fold-string.patch, upstream
- Use %license (boo#1082318)

==== gcr ====
Subpackages: gcr-data gcr-prompter gcr-viewer libgck-1-0 libgcr-3-1
typelib-1_0-Gck-1 typelib-1_0-Gcr-3

- Use SPDX3.0 license tags and package COPYING as %license.
- Add explicit pkgconfig(pango) and pkgconfig(cairo) BuildRequires:
closer alignment with what configure checks for.

==== git ====
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- Move %{?systemd_requires} to daemon subpackage

==== glibc ====
Version update (2.26 -> 2.27)
Subpackages: glibc-32bit glibc-locale-32bit

- Use %license (boo#1082318)
- Add systemtap-headers to BuildRequires
- Add --enable-systemtap to configure arguments (fate#324969, bsc#1073636)
- riscv-readelflib.patch: Fix parsing flags in ELF64 files on riscv
- Update to glibc 2.27
* Optimized x86-64 asin, atan2, exp, expf, log, pow, atan, sin, cosf,
sinf, sincosf and tan with FMA
* Optimized x86-64 trunc and truncf for processors with SSE4.1
* Optimized generic expf, exp2f, logf, log2f, powf, sinf, cosf and
sincosf
* In order to support faster and safer process termination the malloc API
family of functions will no longer print a failure address and stack
backtrace after detecting heap corruption
* The abort function terminates the process immediately, without flushing
stdio streams
* On platforms where long double has the IEEE binary128 format (aarch64,
alpha, mips64, riscv, s390 and sparc), the math library now implements
_Float128 interfaces for that type, as defined by ISO/IEC TS 18661-3:2015
These are the same interfaces added in version 2.26 for some platforms where
this format is supported but is not the format of long double
* On platforms with support for _Float64x (aarch64, alpha, i386, ia64,
mips64, powerpc64le, riscv, s390, sparc and x86_64), the math library now
implements interfaces for that type, as defined by ISO/IEC TS
18661-3:2015
* The math library now implements interfaces for the _Float32, _Float64 and
_Float32x types, as defined by ISO/IEC TS 18661-3:2015
* glibc now implements the memfd_create and mlock2 functions on Linux
* Support for memory protection keys was added
* The copy_file_range function was added
* The ldconfig utility now processes `include' directives using the C/POSIX
collation ordering
* Support for two grammatical forms of month names has been added
* Support for the RISC-V ISA running on Linux has been added
* Statically compiled applications attempting to load locales compiled for the
GNU C Library version 2.27 will fail and fall back to the builtin C/POSIX
locale
* Support for statically linked applications which call dlopen is deprecated
and will be removed in a future version of glibc
* Support for old programs which use internal stdio data structures and
functions is deprecated
* On GNU/Linux, the obsolete Linux constant PTRACE_SEIZE_DEVEL is no longer
defined by <sys/ptrace.h>
* libm no longer supports SVID error handling (calling a user-provided
matherr function on error) or the _LIB_VERSION variable to control error
handling
* The libm functions pow10, pow10f and pow10l are no longer supported for
new programs
* The mcontext_t type is no longer the same as struct sigcontext
* The add-ons mechanism for building additional packages at the same time as
glibc has been removed
* The res_hnok, res_dnok, res_mailok and res_ownok functions now check that
the specified string can be parsed as a domain name
* In the malloc_info output, the <heap> element may contain another <aspace>
element, "subheaps", which contains the number of sub-heaps
* In the malloc_info output, the <heap> element may contain another <aspace>
element, "subheaps", which contains the number of sub-heaps
* The nonstandard header files <libio.h> and <_G_config.h> are deprecated
and will be removed in a future release
* CVE-2018-6485, CVE-2018-6551: The posix_memalign and memalign
functions, when called with an object size near the value of SIZE_MAX,
would return a pointer to a buffer which is too small, instead of NULL
(bsc#1079036)
- Support for Sun RPC is no longer available, use libtirpc instead
- glibc-nodate.patch, powerpc-elision-enable-envvar.patch,
s390-elision-enable-envvar.patch, resolv-context-leak.patch,
dl-runtime-resolve-opt-avx512f.patch, libpthread-compat-wrappers.patch,
math-c++-compat.patch, remove-nss-nis-compat.patch,
eh-frame-zero-terminator.patch, ld-so-hwcap-x86-64.patch,
assert-pedantic.patch, getaddrinfo-errno.patch, resolv-conf-oom.patch,
dynarray-allocation.patch, nearbyint-inexact.patch, nss-compat.patch,
nscd-libnsl.patch, malloc-tcache-leak.patch,
falkor-memcpy-memmove.patch, aarch64-cpu-features.patch,
nss-files-large-buffers.patch. sysconf-uio-maxiov.patch,
glob-tilde-overflow.patch, dl-runtime-resolve-xsave.patch,
spawni-assert.patch, x86-64-dl-platform.patch, glob64-s390.patch,
tst-tlsopt-powerpc.patch, powerpc-hwcap-bits.patch,
malloc-tcache-check-overflow.patch, dl-init-paths-overflow.patch,
fillin-rpath-empty-tokens.patch, getcwd-absolute.patch,
ldd-system-interp.patchabort-no-flush.patch: Removed
- All patches refreshed
- fix-locking-in-_IO_cleanup.patch: Skip locked files during exit
(bsc#1070491, BZ #15142)
- Avoid duplicate source rpm

==== glibc ====
Version update (2.26 -> 2.27)
Subpackages: glibc-devel glibc-extra glibc-info glibc-locale nscd

- Use %license (boo#1082318)
- Add systemtap-headers to BuildRequires
- Add --enable-systemtap to configure arguments (fate#324969, bsc#1073636)
- riscv-readelflib.patch: Fix parsing flags in ELF64 files on riscv
- Update to glibc 2.27
* Optimized x86-64 asin, atan2, exp, expf, log, pow, atan, sin, cosf,
sinf, sincosf and tan with FMA
* Optimized x86-64 trunc and truncf for processors with SSE4.1
* Optimized generic expf, exp2f, logf, log2f, powf, sinf, cosf and
sincosf
* In order to support faster and safer process termination the malloc API
family of functions will no longer print a failure address and stack
backtrace after detecting heap corruption
* The abort function terminates the process immediately, without flushing
stdio streams
* On platforms where long double has the IEEE binary128 format (aarch64,
alpha, mips64, riscv, s390 and sparc), the math library now implements
_Float128 interfaces for that type, as defined by ISO/IEC TS 18661-3:2015
These are the same interfaces added in version 2.26 for some platforms where
this format is supported but is not the format of long double
* On platforms with support for _Float64x (aarch64, alpha, i386, ia64,
mips64, powerpc64le, riscv, s390, sparc and x86_64), the math library now
implements interfaces for that type, as defined by ISO/IEC TS
18661-3:2015
* The math library now implements interfaces for the _Float32, _Float64 and
_Float32x types, as defined by ISO/IEC TS 18661-3:2015
* glibc now implements the memfd_create and mlock2 functions on Linux
* Support for memory protection keys was added
* The copy_file_range function was added
* The ldconfig utility now processes `include' directives using the C/POSIX
collation ordering
* Support for two grammatical forms of month names has been added
* Support for the RISC-V ISA running on Linux has been added
* Statically compiled applications attempting to load locales compiled for the
GNU C Library version 2.27 will fail and fall back to the builtin C/POSIX
locale
* Support for statically linked applications which call dlopen is deprecated
and will be removed in a future version of glibc
* Support for old programs which use internal stdio data structures and
functions is deprecated
* On GNU/Linux, the obsolete Linux constant PTRACE_SEIZE_DEVEL is no longer
defined by <sys/ptrace.h>
* libm no longer supports SVID error handling (calling a user-provided
matherr function on error) or the _LIB_VERSION variable to control error
handling
* The libm functions pow10, pow10f and pow10l are no longer supported for
new programs
* The mcontext_t type is no longer the same as struct sigcontext
* The add-ons mechanism for building additional packages at the same time as
glibc has been removed
* The res_hnok, res_dnok, res_mailok and res_ownok functions now check that
the specified string can be parsed as a domain name
* In the malloc_info output, the <heap> element may contain another <aspace>
element, "subheaps", which contains the number of sub-heaps
* In the malloc_info output, the <heap> element may contain another <aspace>
element, "subheaps", which contains the number of sub-heaps
* The nonstandard header files <libio.h> and <_G_config.h> are deprecated
and will be removed in a future release
* CVE-2018-6485, CVE-2018-6551: The posix_memalign and memalign
functions, when called with an object size near the value of SIZE_MAX,
would return a pointer to a buffer which is too small, instead of NULL
(bsc#1079036)
- Support for Sun RPC is no longer available, use libtirpc instead
- glibc-nodate.patch, powerpc-elision-enable-envvar.patch,
s390-elision-enable-envvar.patch, resolv-context-leak.patch,
dl-runtime-resolve-opt-avx512f.patch, libpthread-compat-wrappers.patch,
math-c++-compat.patch, remove-nss-nis-compat.patch,
eh-frame-zero-terminator.patch, ld-so-hwcap-x86-64.patch,
assert-pedantic.patch, getaddrinfo-errno.patch, resolv-conf-oom.patch,
dynarray-allocation.patch, nearbyint-inexact.patch, nss-compat.patch,
nscd-libnsl.patch, malloc-tcache-leak.patch,
falkor-memcpy-memmove.patch, aarch64-cpu-features.patch,
nss-files-large-buffers.patch. sysconf-uio-maxiov.patch,
glob-tilde-overflow.patch, dl-runtime-resolve-xsave.patch,
spawni-assert.patch, x86-64-dl-platform.patch, glob64-s390.patch,
tst-tlsopt-powerpc.patch, powerpc-hwcap-bits.patch,
malloc-tcache-check-overflow.patch, dl-init-paths-overflow.patch,
fillin-rpath-empty-tokens.patch, getcwd-absolute.patch,
ldd-system-interp.patchabort-no-flush.patch: Removed
- All patches refreshed
- fix-locking-in-_IO_cleanup.patch: Skip locked files during exit
(bsc#1070491, BZ #15142)
- Avoid duplicate source rpm

==== glibmm2_4 ====
Subpackages: glibmm2_4-devel libgiomm-2_4-1 libglibmm-2_4-1

- Package COPYING as %license instead of %doc.
- Add gcc8.patch: add missing address operator.

==== gnome-autoar ====
Version update (0.2.2 -> 0.2.3)
Subpackages: libgnome-autoar-0-0 libgnome-autoar-gtk-0-0

- Update to version 0.2.3:
+ Use proper extracted name for xz archives.
+ Fix decompressing files with legacy encoding file names.
- Run spec-cleaner, modernize spec, use autosetup and make_build
macros.

==== gnome-session ====
Subpackages: gnome-session-core gnome-session-default-session gnome-session-lang

- Fix build on s390/s390x without wayland: do not setup the system
for default-waylandsession alternatives.

==== gnutls ====
Subpackages: libgnutls-dane0 libgnutls-devel libgnutls30 libgnutls30-32bit

- Use %license (boo#1082318)

==== gpg2 ====
Version update (2.2.4 -> 2.2.5)
Subpackages: gpg2-lang

- GnuPG 2.2.5:
* gpg: Allow the use of the "cv25519" and "ed25519" short names
in addition to the canonical curve names in --batch --gen-key
* gpg: Make sure to print all secret keys with option --list-only
and --decrypt
* gpg: Fix the use of future-default with --quick-add-key for
signing keys
* gpg: Select a secret key by checking availability under
gpg-agent
* gpg: Fix reversed prompt texts for --only-sign-text-ids
* gpg,gpgsm: Fix detection of bogus keybox blobs on 32 bit
systems
* gpgsm: Fix regression since 2.1 in --export-secret-key-raw
which got $d mod (q-1)$ wrong
* scd: Support the KDF Data Object of the OpenPGP card 3.3
* scd: Fix a regression in the internal CCID driver for certain
card readers
* dirmngr: Improve returned error description on failure of DNS
resolving
* wks: Implement command --install-key for gpg-wks-server.
- Use %license (boo#1082318)

==== grep ====
Subpackages: grep-lang

- Use %license (boo#1082318)

==== guile ====
Subpackages: guile-modules-2_0 libguile-2_0-22

- Add back the require on gc-devel as it is still needed for the
non .pc using packages (eg autotools)
- Add patch from Fedora not to link to libgc in all consumer libs:
* guile-2.0.14-gc_pkgconfig_private.patch
- Add _constraints file to ensure we can build properly
- Format with spec-cleaner
- Fix build with new glibc 2.27 bsc#1079837:
* guile-disable-int-tests.patch
- Use %license macro to install license

==== icewm ====
Subpackages: icewm-config-upstream icewm-default icewm-lang icewm-lite

- Add icewm-use-iproute2-ss-instead-of-netstat.patch:
Because netstat is not available by default, so call "ss" instead
of "netstat", and make the "clock" command work on icewm
( bsc#1079627 ).

==== kactivitymanagerd ====
Version update (5.12.1 -> 5.12.2)

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kcm_sddm ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kcm_sddm-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None
- Refreshed patches:
* 0001-Replace-autologin-configuration-with-a-note-to-use-Y.patch
* 0002-Support-default.session-symlink.patch
* set-default-session-to-plasma5-for-autologin.patch

==== kde-cli-tools5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kde-cli-tools5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kde-gtk-config5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kde-gtk-config5-gtk2 kde-gtk-config5-gtk3 kde-gtk-config5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kde-user-manager ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kde-user-manager-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kdebase4-workspace ====

- Use SPDX3.0 license tags and package COPYING as %license.
- Add explicit BuildReq: pkgconfig(xkbcommon-x11), (xkbfile),
(xcomposite), (xdmcp) and (xft)

==== kdump ====

- kdump-no-crashkernel-in-Xen-PV-DomU.patch: Do not reserve
crashkernel on Xen PV DomU (bsc#989792).
- kdump-nokaslr.patch: Add 'nokaslr' to the kdump kernel command
line (bsc#1075937).

==== kgamma5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kgamma5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== khotkeys5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: khotkeys5-devel khotkeys5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kinfocenter5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kinfocenter5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kmenuedit5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kmenuedit5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kscreen5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kscreen5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kscreenlocker ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kscreenlocker-lang libKScreenLocker5

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* Update size hint of lnf config widget (kde#389483)

==== ksysguard5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: ksysguard5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None
- Refreshed patches:
* 0001-Use-run-for-ksysguardd-s-pid-file.patch

==== kwayland-integration ====
Version update (5.12.1 -> 5.12.2)

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kwin5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kwin5-devel kwin5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== lftp ====

- fix-zero-byte-file-upload-via-ssl.patch: fix a bug that caused
lftp to break the TLS protocol and lose the connection when
trying to upload a 0 byte length file. [bsc#1079168]

==== libassuan ====
Subpackages: libassuan-devel libassuan0

- Use %license (boo#1082318)

==== libcap ====
Subpackages: libcap2 libcap2-32bit

- Use %license (boo#1082318)

==== libcdio ====
Subpackages: libcdio++0 libcdio-devel libcdio16 libiso9660-10 libudf0

- Fix double free vulnerability (bsc#1082877, CVE-2017-18201,
CVE-2017-18201.patch).

==== libffi ====
Subpackages: libffi7 libffi7-32bit

- Use %license (boo#1082318)
- Remove aarch64-struct-by-value.patch, needs to be fixed in python.

==== libgcrypt ====
Subpackages: libgcrypt-devel libgcrypt20 libgcrypt20-32bit

- Use %license (boo#1082318)

==== libidn ====
Subpackages: libidn-devel libidn11

- Use %license (boo#1082318)

==== libkdecoration2 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: libkdecoration2-devel libkdecorations2-5 libkdecorations2private5

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== libksba ====

- Use %license (boo#1082318)

==== libkscreen2 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: libKF5Screen7 libkscreen2-devel libkscreen2-plugin

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== libksysguard5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: libksysguard5-devel libksysguard5-helper libksysguard5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== libmpeg2 ====

- Do a minor spec clean.

==== libmygpo-qt ====
Version update (1.0.7 -> 1.0.9)

- Update to 1.0.9:
* Different header installation directories for the qt4 & qt5
version
* Bugfix: Top level include_install_dir is now respected
* Support for QJson 0.7
* Default to https instead of http
* Bugfix: Allow setting the server URL
Changes in 1.0.8:
* Support for building the library with Qt5
* Support for the "Get All Subscriptions" API endpoint

==== libnettle ====
Subpackages: libhogweed4 libhogweed4-32bit libnettle-devel libnettle6
libnettle6-32bit

- Use %license (boo#1082318)

==== libnl3 ====
Version update (3.3.0 -> 3.4)
Subpackages: libnl-config libnl3-200

- Update to new upstream release 3.4.0 [boo#1082756]
* route/link: add accessor API for IPv6 flags
* Provide accessors for actions (rtnl_act).
* rule: Add support for l3mdev in FIB rules
* addr: add AF_VSOCK to translation table
* addr: Add support for AF_MPLS
* route: Add support for MPLS address family
* route: Add support for TTL propagation in MPLS routes
* route: Add support for lwtunnel and MPLS encapsulations

==== libnsl ====
Subpackages: libnsl2 libnsl2-32bit

- Use %license instead of %doc [bsc#1082318]

==== liborcus ====
Version update (0.13.3 -> 0.13.4)

- Version updat eto 0.13.4:
* Various false positive fixes in detection of xml files

==== libproxy ====
Subpackages: libproxy-devel libproxy1

- Use %license (boo#1082318)

==== libproxy-plugins ====
Subpackages: libproxy1-config-gnome3 libproxy1-config-kde
libproxy1-networkmanager libproxy1-pacrunner-webkit

- Use %license (boo#1082318)

==== libqt4 ====
Subpackages: libqt4-32bit libqt4-qt3support libqt4-qt3support-32bit libqt4-sql
libqt4-sql-32bit libqt4-sql-sqlite libqt4-sql-sqlite-32bit libqt4-x11
libqt4-x11-32bit

- Actually clean up openssl BuildReq: use pkgconfig(openssl)
- Clean up openssl BuildRequires
- Do not use xorg-x11-devel metapackage, instead use individual
libraries.
- libqt4-devel Requires have been adjusted to require all X11
libs which were used for build, none of them are actually
required but remain there in order not to break hundreds
of packages that may have counted on xorg-x11-devel being
pulled.

==== libqt5-qtbase ====
Subpackages: libQt5Concurrent-devel libQt5Concurrent5 libQt5Core-devel
libQt5Core-private-headers-devel libQt5Core5 libQt5DBus-devel libQt5DBus5
libQt5Gui-devel libQt5Gui-private-headers-devel libQt5Gui5 libQt5Network-devel
libQt5Network5 libQt5OpenGL-devel libQt5OpenGL5 libQt5PlatformHeaders-devel
libQt5PrintSupport-devel libQt5PrintSupport5 libQt5Sql-devel libQt5Sql5
libQt5Sql5-mysql libQt5Sql5-postgresql libQt5Sql5-sqlite libQt5Sql5-unixODBC
libQt5Test-devel libQt5Test5 libQt5Widgets-devel libQt5Widgets5 libQt5Xml-devel
libQt5Xml5 libqt5-qtbase-common-devel libqt5-qtbase-devel
libqt5-qtbase-platformtheme-gtk3

- Enable journald support (boo#1050461)

==== libqt5-qtwebkit ====
Subpackages: libQt5WebKit5 libQt5WebKit5-devel libQt5WebKit5-imports
libQt5WebKitWidgets-devel libQt5WebKitWidgets5

- Re-ordering patches
- Add fix-nullptr-crash-in-QWebPage-selectedHtml-when-selectedRange.patch
* Fix crash in QWebPage::selectedHtml() when selectedRange is nullptr
- Add fix-nullTerminatedWCharToString-loses-last-character.patch
* Fix nullTerminatedWCharToString loses last character of input string
- Use gcc-7 on 42.3 to fix mismatch with the optflags

==== libsmbios2 ====
Subpackages: python-smbios smbios-utils-python

- Package was ported to python3 by upstream, no functional changes,
no api changes.
[bsc#1076409]

==== libtasn1 ====
Subpackages: libtasn1-6 libtasn1-6-32bit libtasn1-devel

- Use %license (boo#1082318)

==== libtirpc ====
Subpackages: libtirpc-netconfig libtirpc3 libtirpc3-32bit

- Use %license (boo#1082318)
- Move /usr/include/tirpc to /usr/include

==== libxshmfence ====
Version update (1.2 -> 1.3)

- Update to version 1.3
* autogen.sh: use quoted string variables
* Fix missing <limits.h> include for HAVE_UMTX branch of futex
* autogen: add default patch prefix
* autogen.sh: use exec instead of waiting for configure to finish
* configure.ac: call AC_USE_SYSTEM_EXTENSIONS
- supersedes u_configure.ac-call-AC_USE_SYSTEM_EXTENSIONS.patch

==== mariadb ====
Subpackages: libmysqld19 mariadb-client mariadb-errormessages

- add mariadb-10.2.14-xtrabackup-v2.patch (bsc#1083087)

==== milou5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: milou5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== mjpegtools ====
Subpackages: libmjpegutils-2_0-0

- Split libmjpegutils-2_0-0 to follow openSUSE recommended
guidelines for libs:
+ liblavfile-2_0-0
+ liblavjpeg-2_0-0
+ liblavplay-2_0-0
+ liblavrec-2_0-0
+ libmplex2-2_0-0
+ libmpeg2encpp-2_0-0
- Run spec-cleaner, modernize spec slightly.
- Drop libmpeg2encpp-2_0-0 Obsoletes, package is added back.

==== multipath-tools ====
Version update (0.7.3+52+suse.08a969b7fce0 -> 0.7.3+53+suse.140f4937e9e7)
Subpackages: kpartx multipath-tools-rbd

- Update to version 0.7.3+53+suse.140f4937e9e7:
* libmultipath: fix wrong output of "multipath -t" (bsc#1082835)

==== mutter ====
Subpackages: libmutter-1-0 mutter-data mutter-lang

- Add mutter-force-rgb8.patch: force 8-bit RGB EGL config,
to prevent slowness when using Wayland with 10-bit display
(bsc#1081931 glgo#GNOME/mutter#2).

==== nghttp2 ====

- Use %license (boo#1082318)

==== npth ====

- Use %license (boo#1082318)

==== openssl ====
Subpackages: libopenssl-devel

- change the sonum to 1.1, as all the minor versions keep ABI
compatibility (bsc#1081335)
- update baselibs.conf

==== openssl-1_0_0 ====

- Remove bit obsolete syntax
- Use %license macro

==== os-prober ====

- Use blkid to bailout udevinfo for db not imported in chroot
environment (bsc#1076779)
* os-prober-05efi-blkid.patch

==== oxygen5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: oxygen5-cursors oxygen5-decoration oxygen5-devel oxygen5-lang
oxygen5-sounds oxygen5-style

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== perl-XML-SAX ====
Version update (0.99 -> 1.00)

- updated to 1.00
see /usr/share/doc/packages/perl-XML-SAX/Changes
1.00 15 Feb 2018 Grant McLean
- Add makefile dependency to fix order of build steps RT#62289 (patch from
Ed J)

==== perl-libwww-perl ====
Version update (6.32 -> 6.33)

- updated to 6.33
see /usr/share/doc/packages/perl-libwww-perl/Changes
6.33 2018-02-27 03:51:36Z
- Fix send_te change from previous release, which was breaking
LWP::Parallel::UserAgent and Test::Override::UserAgent (GH #281) (Doug
Bell)

==== phonon ====
Version update (4.9.0 -> 4.10.0)

- Update to 4.10.0:
* Changes
+ PulseSupport is more robustly handling device list iteration.
* New API
+ New backend API AudioOutputInterface410. This interface
implements a long-existing frontend interface for category
configuration. Usually, this is managed by the builtin
PulseSupport to force the category on a PulseAudio level,
sometimes this may not be possible because of how the backend
subsystem works and the backend needs to manage this directly.
+ setCategory(Category) is called on the interface when the
synonymous frontend function is called.

==== phonon4qt5 ====
Version update (4.9.1 -> 4.10.0)
Subpackages: libphonon4qt5 phonon4qt5-devel

- Update to 4.10.0:
* Changes
+ PulseSupport is more robustly handling device list iteration.
* New API
+ New backend API AudioOutputInterface410. This interface
implements a long-existing frontend interface for category
configuration. Usually, this is managed by the builtin
PulseSupport to force the category on a PulseAudio level,
sometimes this may not be possible because of how the backend
subsystem works and the backend needs to manage this directly.
+ setCategory(Category) is called on the interface when the
synonymous frontend function is called.

==== pinentry ====
Subpackages: pinentry-gnome3 pinentry-gtk2 pinentry-qt5

- Use %license (boo#1082318)

==== plasma-nm5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: plasma-nm5-lang plasma-nm5-openconnect plasma-nm5-openvpn
plasma-nm5-pptp plasma-nm5-vpnc

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== plasma5-addons ====
Version update (5.12.1 -> 5.12.2)
Subpackages: plasma5-addons-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* Remove dead code & translation extraction from release branch
* [Media Frame] Use Label instead of Text (kde#389259)

==== plasma5-desktop ====
Version update (5.12.1 -> 5.12.2)
Subpackages: plasma5-desktop-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* Disable positioning in popup folderviews
* [lookandfeel kcm] Do not declare plugin in lookandfeeltool code version, v2
* Revert "[lookandfeel kcm] Do not declare plugin in lookandfeeltool code
version"
* Keep item highlighted when context menu opens
* [Look and feel KCM] Fix copying color scheme data
* Unbreak DND.
* [Application Dashboard] Fix erroneously using Plasma icons for applications
(kde#390353)
* [Kickoff] Enable smooth scaling for icon
* Workaround the touchpad toggle button not working
* [lookandfeel kcm] Do not declare plugin in lookandfeeltool code version
* Fix launching by touchscreen tap (kde#366527)
* Fix window pin not showing (kde#390428)

==== plasma5-integration ====
Version update (5.12.1 -> 5.12.2)
Subpackages: plasma5-integration-plugin plasma5-integration-plugin-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== plasma5-openSUSE ====
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to 5.12.2

==== plasma5-pa ====
Version update (5.12.1 -> 5.12.2)
Subpackages: plasma5-pa-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== plasma5-workspace ====
Version update (5.12.1 -> 5.12.2)
Subpackages: plasma5-session plasma5-session-wayland plasma5-workspace-devel
plasma5-workspace-lang plasma5-workspace-libs

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* Fix favicons in firefox bookmarks runner (kde#363136)
* Remove uninstalled themerc files for no longer existing Qt themes
* Have all krunner plugin desktop files prefixed with "plasma-runner-"
- Refreshed patches:
* 0001-Rename-qdbus-in-startkde.patch

==== powerdevil5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: powerdevil5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* Fix PowerDevil shortcuts migration (kde#389991)

==== procps ====
Subpackages: libprocps6

- Use %license (boo#1082318)

==== python-kiwi ====
Version update (9.13.0 -> 9.13.1)

- Bump version: 9.13.0 ? 9.13.1
- Only delete sub path if not empty
- Fixed package lists for azure and ec2 build tests
- Reference commit for bugzilla
With regards to the changes done in Issue #637 this commit
just creates a reference to a related bug bsc#1082163
- Cleanup config functions shell coding
- Delete obsolete/unused methods
- Add functions.sh to shellcheck
- Added doc page how to setup yast on firstboot
- Allow arch attribute for profiles specification
A profile could be relevant for only a specific architecture.
There was no way to express that in the XML description. With
the change in this commit a specification like the following
is possible:
<profiles>
<profile name="A" description="..." arch="aarch64"/>
<profile name="B" description="..."
</profiles>
Profile A is only usable on the aarch64 architecture, whereas
profile B would be usable on all architectures.
* Selecting an arch specific profile from the commandline via
the --profile option on a system which is not of that architecture
will result in an error message.
* Using the import="true" attribute in the <profile> definition
for an arch specific profile will cause the import of that
profile only on that architecture and silently ignore the
import on any other architecture
This Fixes #637
- Update build-test descriptions for Kanku
As part of the buildservice there is now also a CI system called Kanku
which allows for image boot/run tests. The only requirement on the image
level which is missing in our build test descriptions is the setup of
the serial console. This patch updates those image descriptions which
could be tested by kanku to provide a serial console at boot time.
The plan is that our build-test images automatically gets boot tested
by the Kanku CI. This should include boot, console-login, reboot,
console login, shutdown. The required job description to do this
needs to be worked out together with the Kanku team
- Adding publisher attribute for ISOs
This commit adds the 'publisher' attribute in type only for
ISO image type. It sets the publisher name of the resulting ISO.
Fixes #630
- Fixed yum vs. yum-deprecated binary lookup
When using the yum package manager it could be either provided
as yum or yum-deprecated binary. Because of this the search
method to find the binary needs to know the context from which
the call is performed. This could be either the host system
or the created image root. This Fixes #624

==== python-setuptools ====
Subpackages: python2-setuptools python3-setuptools

- Recommends only for SUSE

==== sddm ====
Subpackages: sddm-branding-openSUSE

- Only use python-doctools when building for SLE12 since SLE15 has
rst2man in python3-doctools.

==== shadow ====

- Use %license (boo#1082318)

==== solid ====
Subpackages: libKF5Solid5 libKF5Solid5-lang solid-devel solid-imports
solid-tools

- Add Fix-auto-mount-regression.patch to fix broken "Automount on
login" with solid 5.43.0 (kde#389479)

==== spec-cleaner ====
Version update (1.0.3 -> 1.0.4)

- Fix issue with the %doc -> %license conversion in some complex
cases, multiple licenses at once, prefixed licenses

==== sssd ====
Subpackages: libnfsidmap-sss libsss_certmap0 libsss_idmap0 libsss_nss_idmap0
libsss_simpleifp0 sssd-32bit sssd-krb5-common sssd-ldap

- Remove package descriptions for the python 2 packages that are
no longer distributed:
* python-ipa_hbac
* python-sss-murmur
* python-sss_nss_idmap
* python-sssd-config
- Correct python version dependency of tools package. (bsc#1082108)

==== suitesparse ====
Subpackages: libamd-2_4_6 libcamd-2_4_6 libccolamd-2_9_6 libcholmod-3_0_11
libcolamd-2_9_6 libsuitesparseconfig-4_5_5 libumfpack-5_7_6

- Make openblas optional, using lapack instead

==== systemd ====
Subpackages: libsystemd0 libsystemd0-32bit libudev-devel libudev1
libudev1-32bit systemd-32bit systemd-bash-completion systemd-logger
systemd-sysvinit udev

- Fix build errors due to the split-off of systemd-containe:
found conflict of systemd-234-33.1.x86_64 with
systemd-container-234-33.1.x86_64:
- /usr/share/man/man5/systemd.nspawn.5.gz
- /usr/share/man/man1/systemd-nspawn.1.gz
found conflict of systemd-container-234-33.1.x86_64 with
systemd-mini-container-234-33.1.x86_64:
- /usr/bin/systemd-nspawn
- /usr/lib/systemd/system/systemd-nspawn@.service
- /usr/lib/tmpfiles.d/systemd-nspawn.conf
- Use %license (boo#1082318)
- Split systemd-container sub-package off
Other distros already do it and it seems a good idea to not install
this stuff on new installations by default. At least
/var/lib/machines subvol is not created anymore at boot even if it
wasn't used at all.

==== systemsettings5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: systemsettings5-devel systemsettings5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* Improve sidebar header visibility (kde#384638)

==== utempter ====
Subpackages: libutempter0 utempter-devel

- Use %license (boo#1082318)

==== xdm ====
Subpackages: xdm-xsession

- fixed syntax in /usr/lib/firewalld/services/x11.xml (boo#1082890)

==== xen ====
Version update (4.10.0_12 -> 4.10.0_13)
Subpackages: xen-doc-html xen-libs xen-tools xen-tools-domU

- bsc#1080635 - VUL-0: xen: DoS via non-preemptable L3/L4 pagetable
freeing (XSA-252)
xsa252.patch
- bsc#1080662 - VUL-0: xen: grant table v2 -> v1 transition may
crash Xen (XSA-255)
xsa255-1.patch
xsa255-2.patch
- bsc#1080634 - VUL-0: xen: x86 PVH guest without LAPIC may DoS the
host (XSA-256)
xsa256.patch
- Remove stale systemd presets code for 13.2 and older
- fate#324965 - add script, udev rule and systemd service to watch
for vcpu online/offline events in a HVM domU
They are triggered via xl vcpu-set domU N
- Replace hardcoded xen with Name tag when refering to subpkgs
- Make sure tools and tools-domU require libs from the very same build

==== yast2-nis-server ====
Version update (3.1.4 -> 4.0.0)

- Replace SuSEFirewall2 by firewalld (fate#323460)
- 4.0.0

==== zypp-plugin ====

- Provide python3-zypp-plugin in SLE12-SP3 (bsc#1081596)


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >